#
#	$Id: posix.conf,v 1.5 1998/01/26 23:55:30 leif Exp $
#
#	Distribution is unlimited.
#
#	See draft-howard-nis-schema-04.txt for more details.
#
#	Contributors:	Luke Howard, Apple Computer, Inc.
#			Leif Hedstrom, Netscape Communications Corp.
#			Tim Howes, Netscape Communications Corp.
#			Rosanna Lee, Sun Microsystems, Inc.
#			Michael Grant, Sun Microsystems, Inc.
#			Mark Wahl, Critical Angle, Inc.
#
attribute	uidNumber		1.3.6.1.1.1.1.0		cis
attribute	gidNumber		1.3.6.1.1.1.1.1		cis
attribute	gecos			1.3.6.1.1.1.1.2		cis
attribute	homeDirectory		1.3.6.1.1.1.1.3		ces
attribute	loginShell		1.3.6.1.1.1.1.4		ces
attribute	shadowLastChange	1.3.6.1.1.1.1.5		cis
attribute	shadowMin		1.3.6.1.1.1.1.6		cis
attribute	shadowMax		1.3.6.1.1.1.1.7		cis
attribute	shadowWarning		1.3.6.1.1.1.1.8		cis
attribute	shadowInactive		1.3.6.1.1.1.1.9		cis
attribute	shadowExpire		1.3.6.1.1.1.1.10	cis
attribute	shadowFlag		1.3.6.1.1.1.1.11	cis
attribute	memberUid		1.3.6.1.1.1.1.12	cis
attribute	memberNisNetgroup	1.3.6.1.1.1.1.13	cis
attribute	nisNetgroupTriple	1.3.6.1.1.1.1.14	cis
attribute	ipServicePort		1.3.6.1.1.1.1.15	cis
attribute	ipServiceProtocol	1.3.6.1.1.1.1.16	cis
attribute	ipProtocolNumber	1.3.6.1.1.1.1.17	cis
attribute	oncRpcNumber		1.3.6.1.1.1.1.18	cis
attribute	ipHostNumber		1.3.6.1.1.1.1.19	cis
attribute	ipNetworkNumber		1.3.6.1.1.1.1.20	cis
attribute	ipNetmaskNumber		1.3.6.1.1.1.1.21	cis
attribute	macAddress		1.3.6.1.1.1.1.22	cis
attribute	bootParameter		1.3.6.1.1.1.1.23	ces
attribute	bootFile		1.3.6.1.1.1.1.24	ces
attribute	automountInformation	1.3.6.1.1.1.1.25	ces
attribute	nisMapName		1.3.6.1.1.1.1.26	ces
attribute	nisMapEntry		1.3.6.1.1.1.1.27	ces

# posixAccount is an auxiliary class. You may use account as a structural
# class.
objectclass posixAccount
	oid
		1.3.6.1.1.1.2.0
	requires
		objectClass,
		cn,
		uid,
		uidNumber,
		gidNumber,
		homeDirectory
	allows
		userPassword,
		loginShell,
		gecos,
		description

# posixAccount is an auxiliary class. You may use account as a structural
# class.
objectclass shadowAccount
	oid
		1.3.6.1.1.1.2.1
	requires
		objectClass,
		uid
	allows
		userPassword,
		shadowLastChange,
		shadowMin,
		shadowMax,
		shadowWarning,
		shadowInactive,
		shadowExpire,
		shadowFlag,
		description

objectclass posixGroup
	oid
		1.3.6.1.1.1.2.2
	requires
		objectClass,
		cn,
		gidNumber
	allows
		userPassword,
		memberUid,
		description

objectclass ipService
	oid
		1.3.6.1.1.1.2.3
	requires
		objectClass,
		cn,
		ipServicePort,
		ipServiceProtocol
	allows
		description

objectclass ipProtocol
	oid
		1.3.6.1.1.1.2.4
	requires
		objectClass,
		cn,
		ipProtocolNumber
	allows
		description

objectclass oncRpc
	oid
		1.3.6.1.1.1.2.5
	requires
		objectClass,
		cn,
		oncRpcNumber
	allows
		description

# ipHost is a subclass of device
objectclass ipHost
	oid
		1.3.6.1.1.1.2.6
	requires
		objectClass,
		ipHostNumber,
		cn
	allows
		manager,
		description,
		l,
		o,
		ou,
		owner,
		seeAlso,
		serialNumber


objectclass ipNetwork
	oid
		1.3.6.1.1.1.2.7
	requires
		objectClass,
		ipNetworkNumber,
		cn
	allows
		ipNetmaskNumber,
		manager,
		l,
		description

objectclass nisNetgroup
	oid
		1.3.6.1.1.1.2.8
	requires
		objectClass,
		cn
	allows
		nisNetgroupTriple,
		memberNisNetgroup,
		description

# the automount class is deprecated. Because cn is case insensitive
# on matches, you may need to use another object class to unique
# names.
objectclass automount
	oid
		1.3.6.1.1.1.2.9
	requires
		objectClass,
		cn,
		automountInformation
	allows
		description

# nisObject represents entries in NIS maps.
objectclass nisObject
	oid
		1.3.6.1.1.1.2.10
	requires
		objectClass,
		nisMapName
	allows
		cn,
		nisMapEntry,
		description

# ieee802Device is a subclass of device
objectclass ieee802Device
	oid
		1.3.6.1.1.1.2.11
	requires
		objectClass,
		cn
	allows
		macAddress,
		description,
		l,
		o,
		ou,
		owner,
		seeAlso,
		serialNumber

# bootableDevice is a subclass of device
objectclass bootableDevice
	oid
		1.3.6.1.1.1.2.12
	requires
		objectClass,
		cn
	allows
		bootFile,
		bootParameter,
		description,
		l,
		o,
		ou,
		owner,
		seeAlso,
		serialNumber

# nisMap is a structural class which may be used as a container
# for instances of nisObject.
objectclass nisMap
	oid
		1.3.6.1.1.1.2.13
	requires
		objectClass,
		nisMapName
	allows
		description

